org.eclipse.wst.jsdt.js.common.build.system.util

## Class ASTUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.js.common.build.system.util.ASTUtil

    public class ASTUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ASTUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `beautify(Expression e)`
`static JavaScriptUnit` `getJavaScriptUnit(IFile file)`
`static java.util.Set<ITask>` `getTasks(java.lang.String pathToFile, BuildSystemVisitor visitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTUtil

    public ASTUtil()

### Method Detail

#### getJavaScriptUnit

    public static JavaScriptUnit getJavaScriptUnit(IFile file)
                                            throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### getTasks

    public static java.util.Set<ITask> getTasks(java.lang.String pathToFile,
                                                BuildSystemVisitor visitor)
                                         throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### beautify

    public static java.lang.String beautify(Expression e)